﻿*************************************************************************************
***Proxyversion for KINDL Neurodermatitis-Modul
***KINDL_Neurodermatitis_parents_English.

***Remark:
*Higher values reflect better HrQoL.
*Items 1-12 are summarized on one scale
(see Ravens-Sieberer et al. (2012). Quality of life after in-patient rehabilitation in children with obesity 
and Wille et al. (2008). The impact of overweight and obesity on health-related quality of life in childhood - results from an intervention study).
*Item 13-15 are additional information, which do not form a scale.

*********Recoding of raw scores.
*Negativly pooled items.
RECODE p_neu_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_01. 
RECODE p_neu_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_02. 
RECODE p_neu_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_03. 
RECODE p_neu_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_04. 
RECODE p_neu_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_05. 
RECODE p_neu_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_06. 
RECODE p_neu_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_07. 
RECODE p_neu_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_08. 
RECODE p_neu_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_09. 
RECODE p_neu_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_10. 
RECODE p_neu_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_11. 
RECODE p_neu_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_13. 
RECODE p_neu_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_14. 
RECODE p_neu_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XEU_15. 

*Positively pooled items.
RECODE p_neu_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO P_XEU_12. 

VARIABLE LABELS
P_XEU_01 '... my child had lot of sores that had been scratched open'
P_XEU_02 '... my child slept poorly at night because of itchiness'
P_XEU_03 '... my child was sad because of his/her skin'
P_XEU_04 '... creaming his/her skin and taking medication annoyed my child'
P_XEU_05 '... my child felt ashamed because of his/her skin'
P_XEU_06 '... my child was dissatisfied with him/herself because of his/her skin'
P_XEU_07 '... there was trouble at home because of his/her scratching'
P_XEU_08 '... I gave my child orders because of his/her skin'
P_XEU_09 '... my child was teased by others because of his/her skin'
P_XEU_10 '... my child was left out by others when they did things together, because of his/her skin'
P_XEU_11 '... my child was distracted at school because of the itchiness'
P_XEU_12 '... my child took part in PE lessons in spite of his/her skin'
P_XEU_13 'How often during the past week did your child have complaints because of his/her skin (neurodermatitis)?'
P_XEU_14 'How severe were his/her skin complaints during the past week?'
P_XEU_15 'How much did your childs skin complaints bother him/her during the past week?'.
EXECUTE.

VALUE LABELS
P_XEU_01 P_XEU_02 P_XEU_03 P_XEU_04 P_XEU_05 P_XEU_06 P_XEU_07 P_XEU_08 P_XEU_09 P_XEU_10 P_XEU_11 P_XEU_13
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
P_XEU_14
1 'very severe'
2 'fairly severe'
3 'moderately severe'
4 'somewhat severe'
5 'none at all'.
EXECUTE.

VALUE LABELS
P_XEU_15
1 'very much'
2 'fairly much'
3 'moderately'
4 'somewhat'
5 'not at all'.
EXECUTE.

VALUE LABELS
P_XEU_12
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

****Total score.
*Calculating sum score.
COMPUTE neu_mean = mean.8(P_XEU_01, P_XEU_02, P_XEU_03, P_XEU_04, P_XEU_05, P_XEU_06, P_XEU_07, P_XEU_08, P_XEU_09, P_XEU_10, P_XEU_11, P_XEU_12).
EXECUTE.

COMPUTE neu_sum = neu_mean*12.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE neu_100 = ((neu_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
neu_mean 'KINDL - Neurodermatitis-Module Mean'
neu_sum 'KINDL - Neurodermatitis-Module Sum'
enu_100 'KINDL - Neurodermatitis-Module 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

